<?php

namespace Webkul\MarketingCloudMagentoConnector\Block\Adminhtml\Subscriber\Edit;

/**
 * Webkul MarketingCloudMagentoConnector Tabs
 * @category  Webkul
 * @package   Webkul_MarketingCloudMagentoConnector
 * @author    Webkul
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

class Tabs extends \Magento\Backend\Block\Widget\Tabs
{
    /**
     * Class constructor
     *
     * @return void
     */
    protected function _construct()
    {
        parent::_construct();
        $this->setId('page_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(__('Group Information'));
    }

    /**
     * @return $this
     */
    protected function _beforeToHtml()
    {
        $this->addTab(
            'main_section',
            [
                'label' => __('Menu Listing'),
                'title' => __('Menu Listing'),
                'content' => $this->getLayout()->createBlock(
                    'Webkul\MarketingCloudMagentoConnector\Block\Adminhtml\Subscriber\Edit\Tab\Main'
                )->toHtml(),
                'active' => true
            ]
        );
        return parent::_beforeToHtml();
    }
}
