<?php

namespace Webkul\MarketingCloudMagentoConnector\Controller\Adminhtml\Subscriber;

/**
 * Webkul MarketingCloudMagentoConnector Edit Controller
 * @category  Webkul
 * @package   Webkul_MarketingCloudMagentoConnector
 * @author    Webkul
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

use Magento\Framework\Locale\Resolver;

class Edit extends \Webkul\MarketingCloudMagentoConnector\Controller\Adminhtml\Subscriber
{
    /**
     * @return void
     */
    public function execute()
    {
        $subscriberId=(int)$this->getRequest()->getParam('id');
        $subscribermodel=$this->_subscriberFactory->create();
        if ($subscriberId) {
            $subscribermodel->load($subscriberId);
            if (!$subscribermodel->getEntityId()) {
                $this->messageManager->addError(__('This Subscriber no longer exists.'));
                $this->_redirect('marketingcloudmagentoconnector/*/');
                return;
            }
        }
        $userId = $subscribermodel->getId();
        $model = $this->_userFactory->create();

        $data = $this->_session->getUserData(true);

        if (!empty($data)) {
            $model->setData($data);
        }

        $this->_coreRegistry->register('subscriber_user', $model);
        $this->_coreRegistry->register(
            'mc_subscribers_records',
            $subscribermodel
        );

        if (isset($userId)) {
            $breadcrumb = __('Edit Subscriber');
        } else {
            $breadcrumb = __('New Subscriber');
        }
        $this->_initAction()->_addBreadcrumb($breadcrumb, $breadcrumb);
        $this->_view->getPage()->getConfig()->getTitle()->prepend(__('Users'));
        $this->_view->getPage()->getConfig()->getTitle()->prepend(
            $model->getId() ? $model->getName() : __('Manual Mapping')
        );
        $this->_view->renderLayout();
    }
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('Webkul_MarketingCloudMagentoConnector::subscriber_view');
    }
}
