<?php
/**
 * Webkul MarketingCloud Magento Connector SyncAllCustomer Controller
 * @category  Webkul
 * @package   Webkul_MarketingCloudMagentoConnector
 * @author    Webkul
 * @copyright Copyright (c) 2010-2017 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MarketingCloudMagentoConnector\Controller\Adminhtml\Subscriber;

use Magento\Backend\App\Action;
use Magento\Ui\Component\MassAction\Filter;
use Magento\Framework\Controller\ResultFactory;
use Magento\Customer\Model\ResourceModel\Customer\CollectionFactory;

class ExportAllToMc extends \Magento\Backend\App\Action
{
    /**
     * @param Action\Context $context
     * @param Filter $filter
     * @param CollectionFactory $collectionFactory
     */
    protected $_collectionFactory;
    protected $_filter;
    protected $_scopeConfig;
    protected $_customer;
    protected $_customerFactory;
    protected $subscriberFactory;


    public function __construct(
        Filter $filter,
        CollectionFactory $collectionFactory,
        \Magento\Customer\Model\Customer $customers,
        \Magento\Backend\App\Action\Context $context,
        \Magento\Customer\Model\CustomerFactory $customerFactory,
        \Magento\Newsletter\Model\SubscriberFactory $subscriberFactory,
        \Magento\Framework\Message\ManagerInterface $messageManager,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Webkul\MarketingCloudMagentoConnector\Helper\Connection $connection,
        \Magento\Backend\Model\View\Result\ForwardFactory $resultForwardFactory
    ) {
        parent::__construct($context);
        $this->_filter = $filter;
        $this->subscriberFactory= $subscriberFactory;
        $this->_customers = $customers;
        $this->_connection = $connection;
        $this->_scopeConfig = $scopeConfig;
        $this->_messageManager = $messageManager;
        $this->_customerFactory = $customerFactory;
        $this->_collectionFactory = $collectionFactory;
        $this->_resultForwardFactory = $resultForwardFactory;
    }

    public function execute()
    {
        $params = $this->getRequest()->getParams();
        $subscriberId = $params['subscriberId'];
        $helper = $this->_connection;
        $res = $helper->SyncSubscriberToList([$subscriberId]);
        // die($res);
        if ($res && $res[0]) {
            // $this
            // ->_connection
            // ->eshopsyncLog('Subscriber Export Sucess : '.$subscriberId . ' Exported Successfully to Maketing Cloud');
            
            $this->getResponse()->setHeader('Content-type', 'application/json');
            $this->getResponse()->setBody(1);
        } else {
            // $this
            // ->_connection
            // ->eshopsyncLog('Subscriber Export Error : '.$subscriberId . ' Not Exported '.$res[1]);
            $this->getResponse()->setHeader('Content-type', 'application/json');
            $this->getResponse()->setBody(0);
        }
    }
}
